sub init()
    m.top.functionName = "loadContent"
end sub

sub loadContent()
    m.top.content = createObject("roSGNode", "ContentNode")

    if m.top.content <> invalid then

        for each season in m.top.seasonsListDTO
            row = CreateObject("rosgnode", "ContentNode")
            row.title = "Temporada " + season.number
            row.id = season.number
            
            for each episode in season.episodes
                item = row.CreateChild("ContentNode")
                item.id = episode.vod.name
                item.title = episode.vod.metadata.portugueseTitleEpisode
                item.hdposterurl = episode.vod.poster + "_240_340"
            end for
    
            m.top.content.appendChild(row)
        endfor
    
    end if
end sub
